Twitter scribe在Ubuntu上边设置笔记

gst-launch -vm audiotestsrc ! audioconvert ! audioresample ! osssink

要在ubuntu中正确的安装及配置OpenCV
2.3.1, 请确保完成一下步骤. 执行以下指令,删除ffmpeg and x264
的任何旧版本,如果以前没有安装…

5. make install

sudo make

安装过程
要在ubuntu中正确的安装及配置OpenCV 2.3.1, 请确保完成一下步骤.
 
执行以下指令,删除ffmpeg and x264
的任何旧版本,如果以前没有安装也没有问题。
sudo apt-get remove ffmpeg x264 libx264-dev
 
下载安装x264和ffmpeg所有的依赖:
sudo apt-get update
sudo apt-get install build-essential checkinstall git cmake libfaac-dev
libjack-jackd2-dev libmp3lame-dev libopencore-amrnb-dev
libopencore-amrwb-dev libsdl1.2-dev libtheora-dev libva-dev libvdpau-dev
libvorbis-dev libx11-dev libxfixes-dev libxvidcore-dev texi2html yasm
zlib1g-dev
 
下载并安装gstreamer:
sudo apt-get install libgstreamer0.10-0 libgstreamer0.10-dev
gstreamer0.10-tools gstreamer0.10-plugins-base
libgstreamer-plugins-base0.10-dev gstreamer0.10-plugins-good
gstreamer0.10-plugins-ugly gstreamer0.10-plugins-bad
gstreamer0.10-ffmpeg
 
下载并安装x264:
下载一个最近的stable snapshot of
x264版本,下载地址为:ftp://ftp.videolan.org/pub/videolan/x264/snapshots/.
下载的版本并没有严格的要求。
执行以下指令配置并build x264 :
tar xvf x264-snapshot-20120214-2422-stable.tar.bz2
 
cd x264-snapshot-20120214-2422-stable/
 
./configure –enable-static
make
sudo make install
 
下载并安装ffmpeg.
下载ffmpeg 0.8.x ,地址:. 注意:
OpenCV2.3.1以前的版本需要ffmpeg 0.7.x.
执行以下指令配置并build ffmpeg :
tar xvf ffmpeg-0.8.10.tar.bz2
 
cd ffmpeg-0.8.10/
 
./configure –enable-gpl –enable-libfaac –enable-libmp3lame
–enable-libopencore-amrnb –enable-libopencore-amrwb –enable-libtheora
–enable-libvorbis –enable-libx264 –enable-libxvid –enable-nonfree
–enable-postproc –enable-version3 –enable-x11grab
make
sudo make install
 
下载并安装gtk :
sudo apt-get install libgtk2.0-0 libgtk2.0-dev
 
下载并安装libjpeg :
sudo apt-get install libjpeg62 libjpeg62-dev
 
下载并安装v4l (video for linux).
下载v4l-utils-0.8.5.tar.bz2 from

Build v4l :
make
sudo make install
 
下载并安装OpenCV.
下载OpenCV 2.3.1 from

执行以下命令:
tar xvf OpenCV-2.3.1.tar.bz2
cd OpenCV-2.3.1/
mkdir build
cd build
cmake ..
 
make
sudo make install
 
 
配置Linux.openCV参数设置
 
在/etc/ld.so.conf.d/opencv.conf文件中加入一行:/usr/local/lib , 例如,
执行以下命令:
 
sudo vi /etc/ld.so.conf.d/opencv.conf
G
o
/usr/local/lib
<Esc>
:wq!
 
在/etc/bash.bashrc中加入:
 
PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/usr/local/lib/pkgconfig
export PKG_CONFIG_PATH
 
重启.
在完成了上面的步骤之后,应该就能编译OpenCV应用程序了。
 
使用以下命令:
 
g++ `pkg-config opencv –cflags` `pkg-config opencv –libs`
my_code.cpp  -o my_code
 
 
 
摘自 长颈鹿Giraffe

7.                        ./bjam install –prefix=/usr/local/boost

sudo make install

(5)安装 php

sudo tar –xvf gstreamer-0.10.36.tar.bz2

1. Wget

gst-plugins-ugly-0.10.19.tar.bz2 

4.make

sudo make

6.                        ./bjam -s HAVE_ICU=1
–prefix=/usr/local/boost –includedir=/usr/local/boost/include
–libdir=/usr/local/boost/lib

libxml2-2.7.8.tar.gz //连接ftp://xmlsoft.org/libxml2/

9.       Make

cd glib-2.24.1/

5.                        ./bootstrap.sh

sudo ./configure

5.       Make install

1、 首先下载所需的安装包

由于我的虚机安装的是最小的功能,因此在安装过程中遇到了很多麻烦,缺少很多的包,所以安装过程比较长,可能在公司服务器上安装会好些。

cd  gst-plugins-good-0.10.31/

6.       下载 php: Php 下载地址
,下载了 PHP 5.3.5 (tar.gz)

gstreamer-0.10.36.tar.bz2

(3)安装 python: 一般系统会自带,但后后面安装的时候会报告说缺少
Python.h 这个文件,因此必须安装 python-dev
这个包。所以最好这里重新安装一下 python ,安装命令如下 : sudo apt-get
install python-dev 。

sudo ./configure

2.       Tar –xvf libxml2-2.7.4.tar.gz

linux版本:ubuntu10.04 1、 首先下载所需的安装包
gstreamer-0.10.36.tar.bz2
gst-plugins-base…

(6) 安装 boost

1.首先下载这个包 wget

sudo make

3.                        cd boost_1_45_0

 

10.   Make install

sudo make

1.       必须先安装 libxml2 ,然后在安装 php, 下载 libxml2: Libxml2
的安装包下载地址: ,下载
libxml2-2.7.4.tar.gz

装完这个软件之后,使用以下命令播放music.mp3

2.tar jxvf boost_1_45_0.tar.bz2

8、安装gst-plugins-ugly-0.10.19,播放mp3需要的插件mad

4.                        sudo apt-get install zlib2-dev(
因为我的系统在安装的时候报错了,说是缺少 zlib.h
文件,因此我必须得安装这个包,才能进行后续的操作 )

发表评论

电子邮件地址不会被公开。 必填项已用*标注